PYRAF(1)

NAME
pyraf - Python interface for IRAF

SYNOPSIS
pyraf [options] [savefile]

DESCRIPTION
PyRAF is a command language for running IRAF tasks that is based on the Python scripting language. It gives users the ability to run IRAF tasks in an environment that has all the power and flexibility of Python. PyRAF can be installed along with an existing IRAF installation; users can then choose to run either PyRAF or the IRAF CL.

OPTIONS

-c, --comand=<cmd>
    Command passed in as string (any valid PyRAF command)

-e, --ecl
    Turn on ECL mode

-h, --help
    Print help message

-i, --no--commandwrapper
    No command line wrapper, just run standard interactive Python shell

-m, --commandwrapper
    Run command line wrapper to provide extra capabilities (default)

-n, --nosplash
    No splash screen during startup (also see -x)

-s, --silent
    Silent initialization (does not print startup messages)

-V, --version
    Print version info and exit

-v, --verbose
    Set verbosity level (may be repeated to increase verbosity)

-x, --nographics
    No graphics will be attempted/loaded during session

-y, --ipython
    Run the IPython shell instead of the normal PyRAF command shell

COPYRIGHT
Copyright © 2003 Association of Universities for Research in Astronomy (AURA)